//+------------------------------------------------------------------+
//|                                                   Pipsograph.mq4 |
//|                                       Copyright  2008, Cheerman |
//|                                   mailto:cheerful_man@rambler.ru |
//+------------------------------------------------------------------+
#property copyright "Copyright  2008, Cheerman"
#property link      "mailto:cheerful_man@rambler.ru"

#property indicator_separate_window
#property indicator_buffers 5
#property indicator_color1 DeepSkyBlue
#property indicator_color2 Lime
#property indicator_color3 Tomato
#property indicator_color4 ForestGreen
#property indicator_color5 Red

extern string label1="7tot";
extern int indent1=2;
extern string label2="7b_tot";
extern int indent2=0;
extern string label3="7s_tot";
extern int indent3=0;
extern string label4="6b_tot";
extern int indent4=0;
extern string label5="6s_tot";
extern int indent5=0;

//---- buffers
double ExtMapBuffer1[];
double ExtMapBuffer2[];
double ExtMapBuffer3[];
double ExtMapBuffer4[];
double ExtMapBuffer5[];

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   IndicatorBuffers(5);
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,ExtMapBuffer1);
   SetIndexStyle(1,DRAW_LINE);
   SetIndexBuffer(1,ExtMapBuffer2);
   SetIndexStyle(2,DRAW_LINE);
   SetIndexBuffer(2,ExtMapBuffer3);
   SetIndexStyle(3,DRAW_LINE,2);
   SetIndexBuffer(3,ExtMapBuffer4);
   SetIndexStyle(4,DRAW_LINE,2);
   SetIndexBuffer(4,ExtMapBuffer5);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   ExtMapBuffer1[0]=GetData(label1,indent1);
   ExtMapBuffer2[0]=GetData(label2,indent2);
   ExtMapBuffer3[0]=GetData(label3,indent3);
   ExtMapBuffer4[0]=GetData(label4,indent4);
   ExtMapBuffer5[0]=GetData(label5,indent5);
//----
   return(0);
  }
//+------------------------------------------------------------------+

//+------------------------------------------------------------------+
int GetData(string label, int indent)
   {
   if (ObjectFind(label) == -1 ) return(0);
   else
      {
      string txt=ObjectDescription(label);
      int val=StrToInteger(StringSubstr(txt,indent,0));
      }
   return(val);   
   }

